apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: helm-argo-nochartmuseum
  namespace: argocd
spec:
  project: default
  
  source:
    repoURL: https://gitlab.com/jichen.liu85/helm-argo-withoutmuseum.git
    targetRevision: HEAD
    path: helloworld
  destination:
    server: https://kubernetes.default.svc
    namespace: myapp
  
  syncPolicy:
    syncOptions:
    - CreateNamespace=true
    
    automated:
      selfHeal: true
      prune: true